Loading...
Searching...
No Matches
oval_sysent Struct Reference
OVAL » OVALSYS
Collaboration diagram for oval_sysent:
[legend]

## Public Member Functions

OSCAP_API struct oval_sysent * | oval_sysent_new (struct oval_syschar_model *)
OSCAP_API struct oval_sysent * | oval_sysent_clone (struct oval_syschar_model *new_model, struct oval_sysent *old_item)
OSCAP_API void | oval_sysent_free (struct oval_sysent *)
Setters
OSCAP_API void | oval_sysent_set_name (struct oval_sysent *sysent, char *name)
OSCAP_API void | oval_sysent_set_value (struct oval_sysent *sysent, char *value)
OSCAP_API void | oval_sysent_add_record_field (struct oval_sysent *, struct oval_record_field *)
OSCAP_API void | oval_sysent_set_status (struct oval_sysent *sysent, oval_syschar_status_t status)
OSCAP_API void | oval_sysent_set_datatype (struct oval_sysent *sysent, oval_datatype_t type)
OSCAP_API void | oval_sysent_set_mask (struct oval_sysent *sysent, int mask)
Getters
OSCAP_API char * | oval_sysent_get_name (struct oval_sysent *)
| Get system data item name.
OSCAP_API char * | oval_sysent_get_value (struct oval_sysent *)
| Get system data item value.
OSCAP_API struct oval_record_field_iterator * | oval_sysent_get_record_fields (struct oval_sysent *)
OSCAP_API oval_syschar_status_t | oval_sysent_get_status (struct oval_sysent *)
| Get system data item status.
OSCAP_API oval_datatype_t | oval_sysent_get_datatype (struct oval_sysent *)
| Get system data item data type.
OSCAP_API int | oval_sysent_get_mask (struct oval_sysent *)
| Get system data item mask.

## Data Fields

struct oval_syschar_model * | model
char * | name
char * | value
struct oval_collection * | record_fields
int | mask
oval_datatype_t | datatype
oval_syschar_status_t | status

The documentation for this struct was generated from the following files:

- oval_sysEnt.c
- oval_system_characteristics.h